 EXEC P_ALTERPK 'PK_FMM_PERSHRPOOL', 'T_FMM_PERSHRPOOL', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_PERSHRPOOL_FNUM') CREATE INDEX IDX_FMM_PERSHRPOOL_FNUM ON T_FMM_PERSHRPOOL ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_PERSHRPOOL_FCT') CREATE INDEX IDX_FMM_PERSHRPOOL_FCT ON T_FMM_PERSHRPOOL ( FCREATETIME );
 
 
 EXEC P_ALTERPK 'PK_FMM_PERSHRPOOL_L', 'T_FMM_PERSHRPOOL_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_PERSHRPOOL_L_FID') CREATE INDEX IDX_FMM_PERSHRPOOL_L_FID ON T_FMM_PERSHRPOOL_L ( FID ,FLOCALEID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_PERSHRPOOL_L_FNA') CREATE INDEX IDX_FMM_PERSHRPOOL_L_FNA ON T_FMM_PERSHRPOOL_L ( FNAME );
 
 
 EXEC P_ALTERPK 'PK_FMM_PERSHRENTRY', 'T_FMM_PERSHRENTRY', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_PERSHRENTRY_FSEQ') CREATE INDEX IDX_FMM_PERSHRENTRY_FSEQ ON T_FMM_PERSHRENTRY ( FID ,FSEQ );
 
 
 EXEC P_ALTERPK 'PK_FMM_MULPROJECTROLE', 'T_FMM_MULPROJECTROLE', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_MULPROJECTROLE_FBAS') CREATE INDEX IDX_FMM_MULPROJECTROLE_FBAS ON T_FMM_MULPROJECTROLE ( FENTRYID,FBASEDATAID );
 
 
 
 EXEC P_ALTERPK 'PK_FMM_DISPATCHAREA', 'T_FMM_DISPATCHAREA', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_DISPATCHAREA_FNUM') CREATE INDEX IDX_FMM_DISPATCHAREA_FNUM ON T_FMM_DISPATCHAREA ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_DISPATCHAREA_FCT') CREATE INDEX IDX_FMM_DISPATCHAREA_FCT ON T_FMM_DISPATCHAREA ( FCREATETIME );
 
 
 EXEC P_ALTERPK 'PK_FMM_DISPATCHAREA_L', 'T_FMM_DISPATCHAREA_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_DISPATCHAREA_L_FID') CREATE INDEX IDX_FMM_DISPATCHAREA_L_FID ON T_FMM_DISPATCHAREA_L ( FID ,FLOCALEID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FMM_DISPATCHAREA_L_FID') CREATE INDEX IDX_FMM_DISPATCHAREA_L_FNA ON T_FMM_DISPATCHAREA_L ( FNAME );
